#
# spec file for package telepathy-logger-qt5
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
%define SOVERSION 5
Name:           telepathy-logger-qt5
Version:        15.04.0
Release:        5.3
Summary:        Qt Wrapper around TpLogger client library
License:        LGPL-2.1+
Group:          Productivity/Networking/Instant Messenger
Url:            https://projects.kde.org/telepathy-logger-qt
Source0:        telepathy-logger-qt-%{version}.tar.xz
BuildRequires:  bison
BuildRequires:  boost-devel
BuildRequires:  doxygen
BuildRequires:  extra-cmake-modules
BuildRequires:  fdupes
BuildRequires:  flex
BuildRequires:  kf5-filesystem
BuildRequires:  python-xml
BuildRequires:  telepathy-logger-devel >= 0.8.0
BuildRequires:  telepathy-qt5-devel
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(farstream-0.2)
BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(gstreamer-plugins-base-1.0)
BuildRequires:  pkgconfig(telepathy-farstream)
BuildRequires:  pkgconfig(telepathy-glib)
Requires:       telepathy-logger >= 0.8.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Telepathy-logger-qt5 is a Qt Wrapper around the TpLogger client library.
It is needed by KDE Telepathy in order to log the chat activity.

%package devel
Summary:        Qt Wrapper around TpLogger client library
Group:          Development/Libraries/KDE
Requires:       libtelepathy-logger-qt%{SOVERSION} = %{version}
Requires:       telepathy-glib-devel
Requires:       telepathy-logger-devel >= 0.8.0
Conflicts:      telepathy-logger-qt4-devel

%description devel
Telepathy-logger-qt5 is a Qt Wrapper around the TpLogger client library.
It is needed by KDE Telepathy in order to log the chat activity.

%package -n libtelepathy-logger-qt%{SOVERSION}
Summary:        Qt Wrapper around TpLogger client library
Group:          Productivity/Networking/Instant Messenger

%description -n libtelepathy-logger-qt%{SOVERSION}
Telepathy-logger-qt4 is a Qt Wrapper around the TpLogger client library.
It is needed by KDE Telepathy in order to log the chat activity.

%prep
%setup -q -n telepathy-logger-qt-%version

%build
  %if "%{?_lib}" == "lib64"
     SUFFIX="64"
  %else
     SUFFIX=""
  %endif
  %cmake_kf5 -d build -- -DLIB_SUFFIX=$SUFFIX
  %make_jobs

%install
  %make_install -C build
  %fdupes -s %{buildroot}

%post -n libtelepathy-logger-qt%{SOVERSION} -p /sbin/ldconfig

%postun -n libtelepathy-logger-qt%{SOVERSION} -p /sbin/ldconfig

%files -n libtelepathy-logger-qt%{SOVERSION}
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING HACKING TODO
%{_libdir}/libtelepathy-logger-qt.so.*

%files devel
%defattr(-,root,root)
%{_libdir}/libtelepathy-logger-qt.so
%{_libdir}/cmake/TelepathyLoggerQt/
%{_includedir}/TelepathyLoggerQt/

%changelog
* Fri Apr 24 2015 tittiatcoke@gmail.com
- Update to KDE Applications 15.04.0
  * KDE Applications 15.04.0
  * https://www.kde.org/announcements/announce-applications-15.04.0.php
* Fri Nov  7 2014 alinm.elena@gmail.com
- initial comit
